org.apache.poi.xssf.model

## Interface Comments

- All Known Implementing Classes:
    CommentsTable

      public interface Comments

  An interface exposing useful functions for dealing with Excel Workbook Comments. It is intended that this interface should support low level access and not expose all the comments in memory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `findAuthor(java.lang.String author)`
    `XSSFComment` | `findCellComment(CellAddress cellAddress)` Finds the cell comment at cellAddress, if one exists
    `java.lang.String` | `getAuthor(long authorId)`
    `java.util.Iterator<CellAddress>` | `getCellAddresses()` Returns all cell addresses that have comments.
    `int` | `getNumberOfAuthors()`
    `int` | `getNumberOfComments()`
    `boolean` | `removeComment(CellAddress cellRef)` Remove the comment at cellRef location, if one exists

- - ### Method Detail

    - #### getNumberOfComments

          int getNumberOfComments()

    - #### getNumberOfAuthors

          int getNumberOfAuthors()

    - #### getAuthor

          java.lang.String getAuthor(long authorId)

    - #### findAuthor

          int findAuthor(java.lang.String author)

    - #### findCellComment

          XSSFComment findCellComment(CellAddress cellAddress)

      Finds the cell comment at cellAddress, if one exists
      Parameters:
        `cellAddress` - the address of the cell to find a comment
      Returns:
        cell comment if one exists, otherwise returns null

    - #### removeComment

          boolean removeComment(CellAddress cellRef)

      Remove the comment at cellRef location, if one exists
      Parameters:
        `cellRef` - the location of the comment to remove
      Returns:
        returns true if a comment was removed

    - #### getCellAddresses

          java.util.Iterator<CellAddress> getCellAddresses()

      Returns all cell addresses that have comments.
      Returns:
        An iterator to traverse all cell addresses that have comments.
      Since:
        4.0.0

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.